Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IAcceptableCiphers``

interface documentation

`class IAcceptableCiphers(Interface): (source)`

Known implementations: `twisted.internet.ssl.AcceptableCiphers`

View In Hierarchy

A list of acceptable ciphers for a TLS context.

Method | `selectCiphers` | Choose which ciphers to allow to be negotiated on a TLS connection.

def selectCiphers(availableCiphers: `Tuple[ICipher]`) -> `Tuple[ICipher]`: (source)

Choose which ciphers to allow to be negotiated on a TLS connection.

Parameters
availableCiphers:`Tuple[ICipher]` | A `tuple` of `ICipher` which gives the names of all ciphers supported by the TLS implementation in use.
Returns
`Tuple[ICipher]` | A `tuple` of `ICipher` which represents the ciphers which may be negotiated on the TLS connection. The result is ordered by preference with more preferred ciphers appearing earlier.